org.apache.maven.scm.provider.git.gitexe.command.info

## Class GitInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.git.gitexe.command.info.GitInfoCommand

All Implemented Interfaces:
  Command, GitCommand

    public class GitInfoCommand
    extends AbstractCommand
    implements GitCommand

Since:
  1.5
Author:
  Olivier Lamy

### Field Summary

Fields
`static int` `NO_REVISION_LENGTH`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitInfoCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Field Detail

#### NO_REVISION_LENGTH

    public static final int NO_REVISION_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### GitInfoCommand

    public GitInfoCommand()

### Method Detail

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(ScmProviderRepository repository,
                                                                             ScmFileSet fileSet,
                                                                             CommandParameters parameters)
                                                                      throws ScmException

Throws:
  `ScmException`